package com.bigdata.wxappserver.controller;

import com.alibaba.fastjson.JSONObject;
import com.bigdata.wxappserver.service.UserService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * Created with IntelliJ IDEA.
 *
 * @Author: Cool
 * @Date: 2024/08/29/22:59
 * @Description:
 */

@RequestMapping("user")
@RestController
@Slf4j
public class UserController {


    @Autowired
    UserService userService;

    @RequestMapping("addOrUpdate")
    public JSONObject addOrUpdate(@RequestBody JSONObject jsonObject){
        return userService.addOrUpdate(jsonObject);
    }

    @RequestMapping("loadData")
    public JSONObject list(@RequestBody JSONObject jsonObject){
        return new JSONObject().fluentPut("data",userService.list());

    }
    @RequestMapping("getById")
    public JSONObject queryById(@RequestParam("id") Integer id){
        return userService.queryById(id);
    }
    @RequestMapping("delete")
    public JSONObject delete(@RequestParam("id")Integer id){
        return userService.delete(id);

    }

}
